html, body {
    width:100%;
    height:100%;
    background-color:white;
    margin:0;
    overflow:hidden;
}

#logo {
    width:35%;
}

.Block {
    width:100%;
    height:100%;
    position:absolute;
    top:0%;
    background-color:white;
}

#div2 {
    top:100%;
    width:100%;
    background-color:#c80000;
}

#div3 {
    top:200%;
    width:200%;
    background-color:white;
}

#div4 {
    top:300%;
    width:300%;
    background-color:#373237;
}

#div5 {
    top:400%;
    width:400%;
    background-color:white;
}

#LogoSpan {
    width:100%;
    height:50%;
    display:inline-block;
    text-align:center;
    margin-top:29px;
    margin-bottom:14.5px;
}

#ButtonSpan {
    width:35%;
    height:40%;
    display:inline-block;
    text-align:left;
    margin-top:2%;
}

#ButtonSpan > * {
    padding:14px;
}

div.Button {
    transition:background-color 300ms ease-in-out;
    transition-delay: 50ms;

    background-color:white;
    background-image:linear-gradient(to right, #6bc3ef 0%, #6bc3ef 50%, rgba(255,255,255,0) 100%);
    background-repeat:no-repeat;
    background-size: 0% 80%;
    background-position: left;
    transition:background-size 500ms, background-color 500ms;
}

div.Button:hover {
    transition:background-color 300ms;

    background-size: 100% 80%;
    transition:background-size 1s, background-color 1s;
}

div.Button > p {
    margin:0;
    margin-left:29px;
    font-family:"Rubik", "san-serif";
    font-size:50px;
    color:#c80000;

    transition:margin-left 500ms, color 300ms ease-in-out;
    transition-delay: 50ms;

    background: linear-gradient(to left, #c80000, white, white);
    background-size: 200% 200%;
    background-clip: text;
        -webkit-background-clip:text;
    display:block;
    text-transform:uppercase;
}

div.Button:hover > p {
    margin-left:60px;
    transition:margin-left 300ms, color 300ms;

    animation: gradient 1s ease-in-out;
    color:rgba(0,0,0,0);
}

@keyframes gradient {
  0%{background-position:right}
  100%{background-position:left}
}

.Block > p {
    margin-top:29px;
    margin-left:48px;
    font-family:"Rubik", "san-serif";
    font-size:50px;
    color:#c80000;
}

#div2 > p {
    color:white;
}

#div4 > p {
    color:#dea550;
}